Subject: Re: Tri-mode auto-negotiation on ML405

From: Peter Mendham <[email-masked]>
Date: Mon, 23 Apr 2007 13:48:56 +0100

Andrei Konovalov wrote:
> Has the ethernet device been registered on the platform bus?
> There should be a call to platform_device_register()
> in arch/ppc/syslib/virtex_devices.c or arch/ppc/platforms/4xx/virtex.c 
> depending
> on the kernel tree used and the patches appiled.
Hi Andrei,

Drat.  I forgot to put that back in when I went to Grant Likely's latest 
patchset.  The errors I am getting now are (when I try and bring the 
network up):
eth0: XTemac Options: 
0xbcf0                                                   
eth0: XTemac could not start 
device.                                           
SIOCSIFFLAGeth0: XTemac Options: 
0xbcf0                                        
eth0: XTemac could not start 
device.                                           
S: Device or resource 
busy                                                     
SIOCSIFFLAGS: Device or resource 
busy                                          
route: SIOC[ADD|DEL]RT: Network is unreachable

During boot it said:
eth%d: XTemac using fifo direct interrupt driven 
mode.                         
mdiobus_reset on 
eth%d                                                         
temac_mii: 
probed                                                              
eth%d: attached PHY driver [Generic PHY] (mii_bus:phy_addr=0:00, 
irq=-1)       
eth0: Xilinx TEMAC #0 at 0x80000000 mapped to 0xC5020000, 
irq=0                
eth0: XTemac id 1.0f, block id 5, type 8

It seems like it's finding the MAC and PHY OK, what else have I done wrong?

Thanks,
-- Peter

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
MailScanner thanks transtec Computers for their support.